## Class ArgumentList

    java.lang.Object
      |
      +--ArgumentList

public class ArgumentList
extends java.lang.Object

Field Summary
`de.dhbwstuttgart.typeinference.Menge` `expr`

Constructor Summary
`ArgumentList()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` `get_codegen_ArgumentList(de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.Object` `get_firstElement()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### expr

    public de.dhbwstuttgart.typeinference.Menge expr

Constructor Detail

### ArgumentList

    public ArgumentList()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

    `JVMCodeException`

### get_codegen_ArgumentList

    public java.lang.String get_codegen_ArgumentList(de.dhbwstuttgart.typeinference.Menge paralist)

### get_firstElement

    public java.lang.Object get_firstElement()